Package org.eclipse.cdt.core.templateengine

# Class TemplateEngine2

java.lang.Object
org.eclipse.cdt.core.templateengine.TemplateEngine
org.eclipse.cdt.core.templateengine.TemplateEngine2

public class TemplateEngine2 extends TemplateEngine

Since:
  5.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NEW_TEMPLATE`
Project type for new templates.

### Fields inherited from class org.eclipse.cdt.core.templateengine.TemplateEngine

`TEMPLATE_ASSOCIATIONS_EXTENSION_ID, TEMPLATES_EXTENSION_ID`

## Constructor Summary

Constructors
Constructor
Description
`TemplateEngine2()`

## Method Summary

Modifier and Type
Method
Description
`TemplateCategory`
`getCategory(String id)`
`static TemplateEngine2`
`getDefault()`

### Methods inherited from class org.eclipse.cdt.core.templateengine.TemplateEngine

`getChildrenOfElement, getChildrenOfElementByTag, getFirstTemplate, getFirstTemplate, getSharedDefaults, getTemplateById, getTemplateInfoMap, getTemplateInfos, getTemplateInfos, getTemplateInfos, getTemplateInfos, getTemplates, getTemplates, getTemplates, getTemplates, getTemplateSchemaURL, updateSharedDefaults`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NEW_TEMPLATE

public static final String NEW_TEMPLATE
Project type for new templates. Default if not set in extension.

See Also:
  - Constant Field Values

## Constructor Details

### TemplateEngine2

public TemplateEngine2()

## Method Details

### getDefault

public static TemplateEngine2 getDefault()

### getCategory

public TemplateCategory getCategory(String id)